Bug 11649 - Handling of DOS attributes and file creation time changes on the fly
Handling of DOS attributes and file creation time changes on the fly
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.3.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-24 08:46 UTC by Uri Simchoni
Modified: 2016-01-07 17:37 UTC (History)
4 users (show)

See Also:


Attachments
git-am fix for 4.3.next (4.38 KB, patch)
2015-12-27 05:48 UTC, Uri Simchoni
no flags Details
git-am fix for samba 4.3.next (4.45 KB, patch)
2015-12-27 09:26 UTC, Uri Simchoni
uri: review? (vl)
jra: review+
uri: review? (cs)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2015-12-24 08:46:32 UTC
In some cases smbd stops handling DOS attributes and file creation time via the user.DOSATTRIB extended attribute, even if "store dos attributes" is enabled.

The legitimate case for doing this is if the file system does not support extended attributes.

Two non-legitimate scenarios in which smbd does this are:

1. A symbolic link to a target where extended attributes are not supported.
2. The ".." entry at the root of a share, if the containing folder of the share's root is on a file system which does not support extended attributes.

Listing a folder that has any of these by a Windows client would cause smbd to disable use of user.DOSATTRIB and fallback to other methods of emulating DOS attributes and file creation time, for all files on the share, for the duration of SMB connection.
Comment 1 Uri Simchoni 2015-12-27 05:48:36 UTC
Created attachment 11745 [details]
git-am fix for 4.3.next
Comment 2 Uri Simchoni 2015-12-27 09:25:17 UTC
Comment on attachment 11745 [details]
git-am fix for 4.3.next

Marking fix as obsolete, adding a new one with cherry-picked marker.
Comment 3 Uri Simchoni 2015-12-27 09:26:36 UTC
Created attachment 11746 [details]
git-am fix for samba 4.3.next
Comment 4 Jeremy Allison 2015-12-27 17:27:57 UTC
Comment on attachment 11746 [details]
git-am fix for samba 4.3.next

LGTM. Now we have DBG_XXXX in 4.3.x, we might want to back-port the change to debug that automatically adds the function name also, otherwise when we cherry-pick fixes from master we'll lose the function __func__ name.
Comment 5 Jeremy Allison 2015-12-27 17:28:27 UTC
Re-assigning to Karolin for inclusion in 4.3.next.
Comment 6 Karolin Seeger 2016-01-05 08:50:27 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to autobuild-v4-3-test.
Comment 7 Karolin Seeger 2016-01-07 17:37:13 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-3-test.
Closing out bug report.

Thanks!